Class | Bio::FANTOM::MaXML::Annotation
In: | lib/bio/db/fantom.rb
Parent: | MaXML

### Methods

datasrc entry_id

### Classes and Modules

Class Bio::FANTOM::MaXML::Annotation::DataSrc

### Public Instance methods

datasrc()

[Source]

         # File lib/bio/db/fantom.rb, line 364
    364:         def datasrc
    365:           unless defined?(@datasrc)
    366:             @datasrc = []
    367:             @elem.each_element('datasrc') do |e|
    368:               text = e.text
    369:               href = e.attributes['href']
    370:               @datasrc << DataSrc.new(gsub_entities(text), gsub_entities(href))
    371:             end
    372:           end
    373:           @datasrc
    374:         end

entry_id()

[Source]

         # File lib/bio/db/fantom.rb, line 352
    352:         def entry_id
    353:           nil
    354:         end

[Validate]